using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace Catalog26.Migrations
{
    /// <inheritdoc />
    public partial class InitialCreate : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.CreateTable(
                name: "TDSPriceAvailability",
                columns: table => new
                {
                    Id = table.Column<int>(type: "int", nullable: false)
                        .Annotation("SqlServer:Identity", "1, 1"),
                    PartnerCode = table.Column<string>(type: "nvarchar(max)", nullable: false),
                    RecordId = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    MfgPartNo = table.Column<string>(type: "nvarchar(60)", maxLength: 60, nullable: false),
                    VendorPartNo = table.Column<string>(type: "nvarchar(80)", maxLength: 80, nullable: false),
                    VendorSKUNo = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    StatusCode = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    PartDescription = table.Column<string>(type: "nvarchar(80)", maxLength: 80, nullable: true),
                    MfgName = table.Column<string>(type: "nvarchar(30)", maxLength: 30, nullable: true),
                    TotalQtyOnHand = table.Column<int>(type: "int", nullable: true),
                    ContractPrice = table.Column<decimal>(type: "decimal(12,2)", precision: 12, scale: 2, nullable: true),
                    MSRP = table.Column<decimal>(type: "decimal(12,2)", precision: 12, scale: 2, nullable: true),
                    WQtyOnHand_16DFL = table.Column<int>(type: "int", nullable: true),
                    WQtyOnHand_3DFR_26DHA = table.Column<int>(type: "int", nullable: true),
                    ReturnableFlag = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    WQtyOnHand_Future1 = table.Column<int>(type: "int", nullable: true),
                    ParcelShippableFlag = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    WQtyOnHand_31DCG = table.Column<int>(type: "int", nullable: true),
                    UnitCost = table.Column<decimal>(type: "decimal(12,2)", precision: 12, scale: 2, nullable: true),
                    WQtyOnHand_6DCH_29DGU = table.Column<int>(type: "int", nullable: true),
                    MediaTypeCode = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    WQtyOnHand_7DTN = table.Column<int>(type: "int", nullable: true),
                    VendorCategoryCode = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    WQtyOnHand_Future2 = table.Column<int>(type: "int", nullable: true),
                    ShipWeight = table.Column<decimal>(type: "decimal(7,2)", precision: 7, scale: 2, nullable: true),
                    SerializedFlag = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    WQtyOnHand_50DCO = table.Column<int>(type: "int", nullable: false),
                    MAPPrice = table.Column<decimal>(type: "decimal(12,2)", precision: 12, scale: 2, nullable: true),
                    COOListCode = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    TDS_HCPrice = table.Column<decimal>(type: "decimal(12,2)", precision: 12, scale: 2, nullable: true),
                    UPCCode = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    UNSPSCCode = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    SKUCreatedDate = table.Column<DateTime>(type: "datetime2", nullable: true),
                    SKUAttribute = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    ETADate = table.Column<DateTime>(type: "datetime2", nullable: true),
                    ABCCode = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    KitStandAloneFlag = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    StateGovPrice = table.Column<decimal>(type: "decimal(12,2)", precision: 12, scale: 2, nullable: true),
                    FederalGovPrice = table.Column<decimal>(type: "decimal(12,2)", precision: 12, scale: 2, nullable: true),
                    EduPrice = table.Column<decimal>(type: "decimal(12,2)", precision: 12, scale: 2, nullable: true),
                    TAAFlag = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    GSAPricing = table.Column<decimal>(type: "decimal(12,2)", precision: 12, scale: 2, nullable: true),
                    PromoFlag = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    PromoComment = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    PromoExpDate = table.Column<DateTime>(type: "datetime2", nullable: true),
                    LongDescription1 = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    LongDescription2 = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    LongDescription3 = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    Length = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    Width = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    Height = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    WQtyOnHand_502DGA = table.Column<int>(type: "int", nullable: true),
                    GSANTEPrice = table.Column<decimal>(type: "decimal(12,2)", precision: 12, scale: 2, nullable: true),
                    PlatformType = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    ProductDescription = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    ProductStreetDate = table.Column<DateTime>(type: "datetime2", nullable: true),
                    WQtyOnHand_80DMS = table.Column<int>(type: "int", nullable: true),
                    WQtyOnHand_81DRN = table.Column<int>(type: "int", nullable: true),
                    WQtyOnHand_504DIN = table.Column<int>(type: "int", nullable: true),
                    WQtyOnHand_505DFW = table.Column<int>(type: "int", nullable: true),
                    ReplacementSKU = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    MinimumQtyOrder = table.Column<int>(type: "int", nullable: true),
                    PurchasingRequirements = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    GovClass = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    WQtyOnHand_506DFO = table.Column<int>(type: "int", nullable: true),
                    MfgDropShipWHouseQty = table.Column<int>(type: "int", nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_TDSPriceAvailability", x => x.Id);
                });
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "TDSPriceAvailability");
        }
    }
}
